Name:           net6
Version:        1.3.14
Release:        15%{?dist}
Summary:        A TCP protocol abstraction for library C++

Group:          Development/Libraries
License:        LGPLv2
URL:            http://releases.0x539.de/net6/
Source0:        http://releases.0x539.de/net6/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1:         net6-1.3.14-drop-deprecated-gnutls-call.patch

BuildRequires:  libsigc++20-devel, gnutls-devel
Requires:       gnutls

%description
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.


%package devel
Summary:        Development libraries for net6
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig, libsigc++20-devel, gnutls-devel

%description devel
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

This package contains the header files for the use of the net6 development
library.


%prep
%setup -q
%patch1 -p1


%build
# Build in C++11 mode as glibmm headers use C++11 features. This can be dropped
# when GCC in Fedora switches to C++11 by default (with GCC 6, most likely).
export CXXFLAGS="%{optflags} -std=c++11"

%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %name


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING NEWS
%{_libdir}/*.so.*

%files devel
%{_includedir}/net6
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.14-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.14-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.14-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.14-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 05 2015 Kevin Fenzi <kevin@scrye.com> 1.3.14-11
- Rebuild with c++11
- Add patch for new gnutls changes.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.14-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 29 2015 Kevin Fenzi <kevin@scrye.com> 1.3.14-9
- Rebuild for new gcc again

* Mon Mar 02 2015 Kevin Fenzi <kevin@scrye.com> 1.3.14-8
- Rebuild for new gcc

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 02 2011 Luke Macken <lmacken@redhat.com> - 1.3.14-1
- Update to 1.3.14 to fix a security issue (#750631)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb  4 2011 Christopher Aillon <caillon@redhat.com> - 1.3.12-1
- Update to 1.3.12

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Luke Macken <lmacken@redhat.com> - 1.3.9-1
- Update to 1.3.9

* Sat Jul 26 2008 Luke Macken <lmacken@redhat.com> - 1.3.6-1
- Update to the latest upstream release.

* Wed Jun 25 2008 Tomas Mraz <tmraz@redhat.com> - 1.3.5-4
- rebuild with new gnutls

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> - 1.3.5-3
- Rebuild for gcc 4.3

* Tue Aug 21 2007 Luke Macken <lmacken@redhat.com> - 1.3.5-2
- Update License to LGPLv2

* Sat Jun 16 2007 Luke Macken <lmacken@redhat.com> - 1.3.5-1
- 1.3.5

* Wed Apr 25 2007 Luke Macken <lmacken@redhat.com> - 1.3.4-1
- 1.3.4

* Wed Mar  7 2007 Luke Macken <lmacken@redhat.com> - 1.3.3-1
- 1.3.3

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> - 1.3.1-2
- Rebuild for FC6

* Thu Aug 31 2006 Luke Macken <lmacken@redhat.com> - 1.3.1-1
- 1.3.1

* Sun Aug 20 2006 Luke Macken <lmacken@redhat.com> - 1.3.0-5.rc3
- 1.3.0rc3

* Fri Jun 16 2006 Luke Macken <lmacken@redhat.com> - 1.3.0-4.rc2
- Rebuild

* Wed May 17 2006 Luke Macken <lmacken@redhat.com> - 1.3.0-3.rc2
- 1.3.0rc2

* Sat Apr 15 2006 Luke Macken <lmacken@redhat.com> - 1.3.0-2.rc1
- Add gnutls-devel to BuildRequires for -devel package

* Fri Apr 14 2006 Luke Macken <lmacken@redhat.com> - 1.3.0-1.rc1
- 1.3.0rc1

* Mon Feb 13 2006 Luke Macken <lmacken@redhat.com> - 1.2.2-2
- Rebuild

* Thu Dec 22 2005 Luke Macken <lmacken@redhat.com> - 1.2.2-1
- 1.2.2

* Sat Nov 26 2005 Luke Macken <lmacken@redhat.com> - 1.2.1-2
- Rebuild

* Sat Nov 26 2005 Luke Macken <lmacken@redhat.com> - 1.2.1-1
- Bump to 1.2.1

* Wed Nov 16 2005 Luke Macken <lmacken@redhat.com> - 1.2.0-1
- Bump to 1.2.0

* Fri Sep 30 2005 Luke Macken <lmacken@redhat.com> - 1.1.0-2
- Use find_lang macro
- Add pkg-config to -devel Requires

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> - 1.1.0-1
- Packaged for Fedora Extras
